package com.community.huiju.dao;

import com.community.huiju.model.ToSysRoleMenu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ToSysRoleMenuMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ToSysRoleMenu record);

    int insertSelective(ToSysRoleMenu record);

    ToSysRoleMenu selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ToSysRoleMenu record);

    int updateByPrimaryKey(ToSysRoleMenu record);

    /**
     * 批量插入
     * @param list
     * @return
     */
    int banchInsert(List<ToSysRoleMenu> list);

    /**
     * 根据角色id查询菜单关联id
     * @param roleId
     * @return
     */
    List<ToSysRoleMenu> selectByRoleId(@Param("roleId") Integer roleId);

    /**
     * 根据 角色id 删除
     * @param roleId
     * @return
     */
    int deleteByRoleId(Integer roleId);
}